!set title=Eminem Ordonné
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Csilla Ducrocq
email=csilla.ducrocq@9online.fr
language=fr
computeanswer=no

ansorder=r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r
varcnt=61
prevarcnt=60
postvarcnt=0
replycnt=49
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=Eminem_ordonne
tmp0=!nosubst Listen to the recording about the famous rap singer Eminem and put the sentences in the order you hear them.

val7=$(tmp0)
tmp0=!nosubst 

val8=$(tmp0)
val9=
val10=
val11=Eminem.mp3
val12=no
val13=no
val14=
val15=yes
val16=600x30
val17=split
val18=1
val19=aucune de ces possibilités
val20=compose
val21=background-color: #FFFFCC; margin: 0% 0%; padding: 0%;
val22=background-color: #FFCC99; color: black; margin: 0% 0%; padding: 0%;
val23=
val24=ol li {list-style: upper-alpha; }
val25=inside
val26=yes
val27=1
val28=
val29=
tmp=!nonempty items $val6

tmp0=!randitem $tmp
val30=$(tmp0)
tmp0=!recordcnt $val30

val31=$[rint($(tmp0))]
val32=1
val33=1
val34=3

!ifval $val27 notwordof 0 
val27=$[rint( 1)]
!endif

!ifval $val7 issametext 
tmp0=!getdef instruction in $val30

val7= $(tmp0)
!endif

!ifval $val8 issametext 
tmp0=!getdef instruction2 in $val30

val8= $(tmp0)
!endif

!ifval $val16 issametext 
tmp0=!getdef size in $val30

val16= $(tmp0)
!endif

!ifval $val12 issametext 
tmp0=!getdef reading_file in $val30

val12= $(tmp0)
!endif
tmp0=!record 0 of $val12

val35=$(tmp0)

!ifval $val11 issametext 
tmp0=!getdef audio_file in $val30

val11= $(tmp0)
!endif

!ifval $val11 notsametext  and  $val11 notsametext no
!readproc slib/media/audio $val1/$val11 
tmp0=$slib_out
val36= 	<p align="center">$(tmp0)</p>
!endif

!ifval $val13 issametext 
tmp0=!getdef image_file in $val30

val13= $(tmp0)
!endif

!ifval $val13 notsametext  and  $val13 notsametext no
tmp0=!makelist <img src=$val1/x> for x in $val13

val37= 	$(tmp0)
!endif

!ifval $val14 issametext 
tmp0=!getdef video_file in $val30

val14= $(tmp0)
!endif

!ifval $val14 notsametext  and  $val14 notsametext no
val38= 	<a wims_target=external href="$val1/$val14">[video] </a></p>
!endif

!ifval $val9 issametext 
tmp0=!getdef choice in $val30

val39= $(tmp0)
!else
val39=$val9
!endif
val40=<style type="text/css">	 .question {$val21}	 .reponse {$val22}	 .oefstatement{$val23}	 $val24	 </style>	 

!ifval $val29 notwordof 1 2 3 4 5 6 7 8 9 10 
val29= 1
!endif

!ifval $val20 iswordof dragfill clickfill 
val16= $val16 x 1
!endif
val33=$[rint(min($val31,$val33))]
val32=$[rint(min($val33*$val32,$val31))]

!ifval $val15 issametext yes 
tmp0=!shuffle $val31

val41= $(tmp0) 
!else
tmp1=!makelist x for x = 1 to $val31

val41=	$(tmp1)
!endif
val42=
tmp=!nonempty items $val6

tmp0=!randitem $tmp
tmp1=!randrecord $(tmp0)

val43=$(tmp1)
tmp0=!embraced randitem $val43

val43=$(tmp0)
tmp=!translate internal $	$ to ; in $val43

tmp0=!rowcnt $tmp
val44=$[rint($(tmp0))]
!for val45  = 1 to $val44 
tmp0=!replace internal , by &amp;#44; in  $(val43[$val45;])

val46=$(tmp0)
tmp0=!replace internal / by  in  $val46

val46=$(tmp0)
tmp0=!nonempty items $val46

val46=$(tmp0)
val42=$val42,$val46
!next
tmp0=!nonempty items $val42

val42=$(tmp0)
tmp0=!itemcnt $val42

val44=$[rint($(tmp0))]
tmp0=!makelist r x for x = 1 to $val44

val47=$(tmp0)
oefsteps=$val47 
nextstep=!nosubst $val47 
!readproc oef/steps.proc
replytype1=dragfill
replyname1=
replygood1=$(val42[1]);
replytype2=dragfill
replyname2=
replygood2=$(val42[2]);
replytype3=dragfill
replyname3=
replygood3=$(val42[3]);
replytype4=dragfill
replyname4=
replygood4=$(val42[4]);
replytype5=dragfill
replyname5=
replygood5=$(val42[5]);
replytype6=dragfill
replyname6=
replygood6=$(val42[6]);
replytype7=dragfill
replyname7=
replygood7=$(val42[7]);
replytype8=dragfill
replyname8=
replygood8=$(val42[8]);
replytype9=dragfill
replyname9=
replygood9=$(val42[9]);
replytype10=dragfill
replyname10=
replygood10=$(val42[10]);
replytype11=dragfill
replyname11=
replygood11=$(val42[11]);
replytype12=dragfill
replyname12=
replygood12=$(val42[12]);
replytype13=dragfill
replyname13=
replygood13=$(val42[13]);
replytype14=dragfill
replyname14=
replygood14=$(val42[14]);
replytype15=dragfill
replyname15=
replygood15=$(val42[15]);
replytype16=dragfill
replyname16=
replygood16=$(val42[16]);
replytype17=dragfill
replyname17=
replygood17=$(val42[17]);
replytype18=dragfill
replyname18=
replygood18=$(val42[18]);
replytype19=dragfill
replyname19=
replygood19=$(val42[19]);
replytype20=dragfill
replyname20=
replygood20=$(val42[20]);
replytype21=dragfill
replyname21=
replygood21=$(val42[21]);
replytype22=dragfill
replyname22=
replygood22=$(val42[22]);
replytype23=dragfill
replyname23=
replygood23=$(val42[23]);
replytype24=dragfill
replyname24=
replygood24=$(val42[24]);
replytype25=dragfill
replyname25=
replygood25=$(val42[25]);
replytype26=dragfill
replyname26=
replygood26=$(val42[26]);
replytype27=dragfill
replyname27=
replygood27=$(val42[27]);
replytype28=dragfill
replyname28=
replygood28=$(val42[28]);
replytype29=dragfill
replyname29=
replygood29=$(val42[29]);
replytype30=dragfill
replyname30=
replygood30=$(val42[30]);
replytype31=dragfill
replyname31=
replygood31=$(val42[31]);
replytype32=dragfill
replyname32=
replygood32=$(val42[32]);
replytype33=dragfill
replyname33=
replygood33=$(val42[33]);
replytype34=dragfill
replyname34=
replygood34=$(val42[34]);
replytype35=dragfill
replyname35=
replygood35=$(val42[35]);
replytype36=dragfill
replyname36=
replygood36=$(val42[36]);
replytype37=dragfill
replyname37=
replygood37=$(val42[37]);
replytype38=dragfill
replyname38=
replygood38=$(val42[38]);
replytype39=dragfill
replyname39=
replygood39=$(val42[39]);
replytype40=dragfill
replyname40=
replygood40=$(val42[40]);
replytype41=dragfill
replyname41=
replygood41=$(val42[41]);
replytype42=dragfill
replyname42=
replygood42=$(val42[42]);
replytype43=dragfill
replyname43=
replygood43=$(val42[43]);
replytype44=dragfill
replyname44=
replygood44=$(val42[44]);
replytype45=dragfill
replyname45=
replygood45=$(val42[45]);
replytype46=dragfill
replyname46=
replygood46=$(val42[46]);
replytype47=dragfill
replyname47=
replygood47=$(val42[47]);
replytype48=dragfill
replyname48=
replygood48=$(val42[48]);
replytype49=dragfill
replyname49=
replygood49=$(val42[49]);
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()$val40 $val7  	   
!if $val35 notsametext  
$() 
!read oef/special.phtml help reading,[à lire] 
$() 
!endif
$()	   
!if $val37 notsametext  
$() 
!read oef/special.phtml help image,[à regarder] 
$() 
!endif
$()	  $val36$val38	  <p>	   
!for m_h = 1 to $val44 
$()  	 <div class="question"><b>$m_h  : </b> 
!read oef/embed.phtml reply \h,$val16 
$() </div>	   
!next
$()	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:latex
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=7,16,35,36,37,38,40,44
embedcnt=3
